<?php

namespace MintyPHP\Service\User;

use MintyPHP\Service\Settings\SettingGateway;

class UserSettingsGateway
{
    public function __construct(private readonly SettingGateway $settingGateway)
    {
    }

    public function getDefaultTenantId(): ?int
    {
        return $this->settingGateway->getDefaultTenantId();
    }

    public function getDefaultRoleId(): ?int
    {
        return $this->settingGateway->getDefaultRoleId();
    }

    public function getDefaultDepartmentId(): ?int
    {
        return $this->settingGateway->getDefaultDepartmentId();
    }

    public function getAppTheme(): ?string
    {
        return $this->settingGateway->getAppTheme();
    }

    public function getUserInactivityDeactivateDays(): int
    {
        return $this->settingGateway->getUserInactivityDeactivateDays();
    }

    public function getUserInactivityDeleteDays(): int
    {
        return $this->settingGateway->getUserInactivityDeleteDays();
    }
}
